User reports excessive ALUA retry messages

Bug #1720228 reported by Dragan S. on 2017-09-28
44
This bug affects 10 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Dragan S.
Declined for Trusty by Stefan Bader
Xenial
High
Unassigned

Bug Description

 SRU Justification:

    Impact:
User reports excessive ALUA messages on Ubuntu Trusty, kernel Ubuntu-lts-4.4.0-91.114_14.04.1
Messages appear after a LUN disappears and there are hundreds of them flooding the log...

[263095.795873] sd 3:0:0:129: alua: rtpg retry
[263095.795874] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.795876] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported

This causes an intense requeing of the ALUA work queue for 60 seconds and it floods the kernel log

    Fix:
UBUNTU: scsi: fixe excessive ALUA (LP: #1720228)

BugLink: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1720228

The err value was initialized to 0 to prevent random assignemtn
the fix is a cherry-pick from linus tree a4bd85203190990ad808abbd4a5dc848a950002c

    Testcase:
User reports issue when a network iscsi disk gets disconnected.

    Original Bug Text:

User reports excessive ALUA messages on Ubuntu Trusty, kernel Ubuntu-lts-4.4.0-91.114_14.04.1

Messages appear after a LUN disappears and there are hundreds of them flooding the log...

[263095.795873] sd 3:0:0:129: alua: rtpg retry
[263095.795874] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.795876] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported
[263095.795961] sd 3:0:0:129: alua: rtpg retry
[263095.795962] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.795964] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported
[263095.796049] sd 3:0:0:129: alua: rtpg retry
[263095.796052] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.796054] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported
[263095.796140] sd 3:0:0:129: alua: rtpg retry
[263095.796142] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.796143] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported
[263095.796224] sd 3:0:0:129: alua: rtpg retry
[263095.796226] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.796227] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported
[263095.796473] sd 3:0:0:129: alua: rtpg retry
[263095.796475] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.796476] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported
[263095.796604] sd 3:0:0:129: alua: rtpg retry
[263095.796606] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.796607] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported
[263095.796691] sd 3:0:0:129: alua: rtpg retry
[263095.796693] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.796694] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported
[263095.796778] sd 3:0:0:129: alua: rtpg retry
[263095.796780] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.796781] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported
[263095.796868] sd 3:0:0:129: alua: rtpg retry
[263095.796869] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.796871] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported
[263095.796951] sd 3:0:0:129: alua: rtpg retry
[263095.796953] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.796954] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported
[263095.797034] sd 3:0:0:129: alua: rtpg retry
[263095.797035] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.797037] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported
[263095.797117] sd 3:0:0:129: alua: rtpg retry
[263095.797119] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.797120] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported
[263095.797202] sd 3:0:0:129: alua: rtpg retry
[263095.797203] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.797205] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported
[263095.797288] sd 3:0:0:129: alua: rtpg retry
[263095.797289] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.797290] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported
[263095.797387] sd 3:0:0:129: alua: rtpg retry
[263095.797388] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.797390] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported
[263095.797470] sd 3:0:0:129: alua: rtpg retry
[263095.797471] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.797472] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported
[263095.797562] sd 3:0:0:129: alua: rtpg retry
[263095.797563] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.797564] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported
[263095.797652] sd 3:0:0:129: alua: rtpg retry
[263095.797653] sd 3:0:0:129: [alua] Sense Key : Illegal Request [current]
[263095.797654] sd 3:0:0:129: [alua] Add. Sense: Logical unit not supported

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1720228

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Dragan S. (dragan-s) on 2017-09-28
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Dragan S. (dragan-s) on 2017-10-11
description: updated
Dragan S. (dragan-s) on 2017-10-11
description: updated
Dragan S. (dragan-s) on 2017-11-21
Changed in linux (Ubuntu Xenial):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Xenial):
status: New → Confirmed
Changed in linux (Ubuntu Xenial):
status: Confirmed → Fix Committed
Dragan S. (dragan-s) wrote :

Khaled, any ides when this fix will be released?

Stefan Bader (smb) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
Gábor VIDA (vidagabor) wrote :

I have just verified the -proposed kernel, and the correction works as expected.

To be more specific, I did the tests on this release: 4.4.0-117-generic #141~14.04.1-Ubuntu SMP Thu Mar 15 11:45:35 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Dragan S. (dragan-s) wrote :

Hi Stefan-

fix verified so I changed the tag to verification-done-xenia

tags: added: verification-done-xenia
removed: verification-needed-xenial
Stefan Bader (smb) on 2018-03-27
tags: added: verification-done-xenial
removed: verification-done-xenia
Launchpad Janitor (janitor) wrote :
Download full text (56.9 KiB)

This bug was fixed in the package linux - 4.4.0-119.143

---------------
linux (4.4.0-119.143) xenial; urgency=medium

  * linux: 4.4.0-119.143 -proposed tracker (LP: #1760327)

  * Dell XPS 13 9360 bluetooth scan can not detect any device (LP: #1759821)
    - Revert "Bluetooth: btusb: fix QCA Rome suspend/resume"

linux (4.4.0-118.142) xenial; urgency=medium

  * linux: 4.4.0-118.142 -proposed tracker (LP: #1759607)

  * Kernel panic with AWS 4.4.0-1053 / 4.4.0-1015 (Trusty) (LP: #1758869)
    - x86/microcode/AMD: Do not load when running on a hypervisor

  * CVE-2018-8043
    - net: phy: mdio-bcm-unimac: fix potential NULL dereference in
      unimac_mdio_probe()

linux (4.4.0-117.141) xenial; urgency=medium

  * linux: 4.4.0-117.141 -proposed tracker (LP: #1755208)

  * Xenial update to 4.4.114 stable release (LP: #1754592)
    - x86/asm/32: Make sync_core() handle missing CPUID on all 32-bit kernels
    - usbip: prevent vhci_hcd driver from leaking a socket pointer address
    - usbip: Fix implicit fallthrough warning
    - usbip: Fix potential format overflow in userspace tools
    - x86/microcode/intel: Fix BDW late-loading revision check
    - x86/retpoline: Fill RSB on context switch for affected CPUs
    - sched/deadline: Use the revised wakeup rule for suspending constrained dl
      tasks
    - can: af_can: can_rcv(): replace WARN_ONCE by pr_warn_once
    - can: af_can: canfd_rcv(): replace WARN_ONCE by pr_warn_once
    - PM / sleep: declare __tracedata symbols as char[] rather than char
    - time: Avoid undefined behaviour in ktime_add_safe()
    - timers: Plug locking race vs. timer migration
    - Prevent timer value 0 for MWAITX
    - drivers: base: cacheinfo: fix x86 with CONFIG_OF enabled
    - drivers: base: cacheinfo: fix boot error message when acpi is enabled
    - PCI: layerscape: Add "fsl,ls2085a-pcie" compatible ID
    - PCI: layerscape: Fix MSG TLP drop setting
    - mmc: sdhci-of-esdhc: add/remove some quirks according to vendor version
    - fs/select: add vmalloc fallback for select(2)
    - hwpoison, memcg: forcibly uncharge LRU pages
    - cma: fix calculation of aligned offset
    - mm, page_alloc: fix potential false positive in __zone_watermark_ok
    - ipc: msg, make msgrcv work with LONG_MIN
    - x86/ioapic: Fix incorrect pointers in ioapic_setup_resources()
    - ACPI / processor: Avoid reserving IO regions too early
    - ACPI / scan: Prefer devices without _HID/_CID for _ADR matching
    - ACPICA: Namespace: fix operand cache leak
    - netfilter: x_tables: speed up jump target validation
    - netfilter: arp_tables: fix invoking 32bit "iptable -P INPUT ACCEPT" failed
      in 64bit kernel
    - netfilter: nf_dup_ipv6: set again FLOWI_FLAG_KNOWN_NH at flowi6_flags
    - netfilter: nf_ct_expect: remove the redundant slash when policy name is
      empty
    - netfilter: nfnetlink_queue: reject verdict request from different portid
    - netfilter: restart search if moved to other chain
    - netfilter: nf_conntrack_sip: extend request line validation
    - netfilter: use fwmark_reflect in nf_send_reset
    - ext2: Don't clear SGID when inheriting ACLs
    - reiserfs: fix race in prealloc discard
    - re...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers